Support » Plugin: Duplicate Post » Duplicate Post – This plug-in didn't work properly (Read more the message)

Viewing 3 replies - 1 through 3 (of 3 total)
  • Plugin Author Lopo

    (@lopo)

    Hi,
    may I to ask you some questions?
    – what version of the plugin are you using? (the latest is 2.2)
    – what do you mean with “the content of the post is not equal with the original content”? Can you tell me more precisely what happens?
    – Where must the “<” be located to fire the error? In the title? In the post content? Anywhere else?
    – Do you use any plugin you may think it can be relevant? That is, for localization (e.g. qTranslate), or something else?

    I hope you can give me this info, so I can start working on it.

    Thank you in advance!

    Hi lopo,

    Thank you so much for the respond.

    > may I to ask you some questions?

    Sure…

    > what version of the plugin are you using? (the latest is 2.2)

    I’m using the latest version 2.2

    > what do you mean with “the content of the post is not
    > equal with the original content”?
    > Can you tell me more precisely what happens?

    We know that this plug-in can be used to duplicate the any part of the post entirely. When trying to compare the content (post_content) from the original post with the draft, I saw the content is different.

    In the original post, the post_content consists of some character ‘<‘, here are the snippet content of it:


    case MessageDlg { <<– Contoh penggunaan dari MessageDlg }
    (
    ‘Apakah anda yakin akan menghapus Post ini?’,
    mtConfirmation, { <<– Contoh penggunaan dari mtConfirmation }
    [mbYes, mbCancel],
    0
    ) of

    The draft will be like this:


    case MessageDlg { < (
    ‘Apakah anda yakin akan menghapus Post ini?’,
    mtConfirmation, { < [mbYes, mbCancel],
    0
    ) of

    FYI:

    After posting this message, I tried to investigate this issue in many ways to copy the post. Finally, I found the exact problem that cause the issue above.

    I’m so sorry lopo… your plug-in is good and works properly. It seems the problem in the editor of the wordpress. This is a bug of wordpress not your plug-in. So… once again, I’m so sorry about this.

    Let try to tell to you to re-produce this issue:

    1. Let you try to create a new post contains like what I have written above. Then… you edit any post you have and open tab HTML. After that, you close the tab of your browser and try to copy you new post with your plug-in.

    You will see the content is the same like the original post. But… What happen when you try to open tab Visual.

    I think this issue regarding about converting from HTML to Visual.

    > I hope you can give me this info, so I can start working on it.

    I have explained above and it seems that this issue is not about the Duplicate post but about WP.

    Cheers…

    Good Job Brother !!!

    King Regards,

    Eko Indriyawan
    wwww.ekoindri.com

    Plugin Author Lopo

    (@lopo)

    I think the problem is that you can’t use “<” in HTML, you have to write < in the HTML editor or write “<” in the Visual editor, who’ll take care of the conversion.

    Anyway, I’m marking this as resolved, since it’s not my plugin’s fault…

    Hope you can solve your issue!
    Bye!

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Duplicate Post – This plug-in didn't work properly (Read more the message)’ is closed to new replies.